Skip to navigation

Reset Person Multi-Factor Authentication

View as Markdown

Resets Multi-Factor Authentication (MFA) for a user.

This is equivalent to resetting MFA for a user from the User Profile option under the user’s name in the Megaport Portal. For more information, see Managing Your User Profile.

You can find the employee ID (personId) using the GET List Company Users /v2/employment endpoint.

When MFA is enabled for a user, it can be reset to enroll a new mobile device. You can reset MFA for a user regardless of the global MFA setting for your company. That is, whether MFA has been set to enforced or optional by a Company Admin for your company.

Note:

  • The user will remain logged in to the Megaport Portal when resetting MFA.
  • Resetting MFA does not disable MFA for the user account.
  • Megaport Support is unable to reset or regenerate QR codes for customers. A Company Admin must perform this task in the Megaport Portal.

Changes are defined in the Body of the request. The attributes have these values.

  • totpSecret - (Required - string) A secret returned by calling the /v2/totp/qrcode endpoint. It has a length of 16 characters and contains only capital letters and digits.
  • totpCode - (Required - string) A 6-digit number generated based on totpSecret. The user can scan the QR code with apps like Google authenticator and that app will generate the code for the user.

For more information, see Enforcing Multi-Factor Authentication.

Path parameters

employeeIdstringRequired

Request

This endpoint expects an object.
totpCodestringOptional
totpSecretstringOptional

Response

Reset Person Multi-Factor Authentication - Success / Reset Person Multi-Factor Authentication - Success

messagestringOptional
termsstringOptional

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error